package com.huimv.receive.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.common.utils.ResultCode;
import com.huimv.receive.entity.BaseLocation;
import com.huimv.receive.service.IBaseJobService;
import com.huimv.receive.service.impl.BaseJobServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2024-03-13
 */
@RestController
@RequestMapping("/base-job")
@CrossOrigin
public class BaseJobController {
    @Autowired
    private IBaseJobService baseJobService;

    @PostMapping("/list")
    public Result listAll(@RequestBody Map<String, String> paramsMap) {
        return new Result(ResultCode.SUCCESS,baseJobService.list());
    }

}
