package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BaseLocation;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBaseLocationService extends IService<BaseLocation> {

    Result add(HttpServletRequest httpServletRequest, BaseLocation baseLocation);

    Result delete(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest, BaseLocation baseLocation);
}
